Bug 427470 - (CVE-2007-6630) CVE-2007-6630 Netembryo NULL dereference
CVE-2007-6630 Netembryo NULL dereference
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: netembryo (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 21:04 EST by Lubomir Kundrak
Modified: 2008-03-28 06:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-28 06:33:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-01-03 21:04:29 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-6630 to the following vulnerability:

The Url_init function in utils/url.c in Netembryo 0.0.4, when used by
LScube Feng, allows remote attackers to cause a denial of service
(NULL dereference and daemon crash) via a malformed URI containing a
"/:" sequence, as demonstrated by a "DESCRIBE /: RTSP/1.0" request.

References:

Reference: BUGTRAQ:20071227 Multiple vulnerabilities in Feng 0.1.15
Reference: URL:http://www.securityfocus.com/archive/1/archive/1/485574/100/0/threaded
Reference: MISC:http://aluigi.altervista.org/adv/fengulo-adv.txt
Reference: MISC:http://aluigi.org/poc/fengulo.zip
Reference: BID:27049
Reference: URL:http://www.securityfocus.com/bid/27049
Comment 1 Lubomir Kundrak 2008-01-03 21:08:14 EST
Please update netembryon in rawhide, if the vector is pertinent for intended use
of netembryo.
Comment 2 Dominik 'Rathann' Mierzejewski 2008-01-04 13:46:48 EST
Already fixed in rawhide. F-8 and F-7 builds are in updates-testing.
Comment 3 Dominik 'Rathann' Mierzejewski 2008-03-28 06:33:42 EDT
Fixed long ago across the board.

Note You need to log in before you can comment on or make changes to this bug.